Show / Hide Table of Contents

# AsyncParticleTriggerTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncParticleTriggerTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncParticleTriggerTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnParticleTriggerAsyncHandler() |
GetOnParticleTriggerAsyncHandler(CancellationToken) |
OnParticleTriggerAsync() |
OnParticleTriggerAsync(CancellationToken) |

### Methods

#### GetOnParticleTriggerAsyncHandler()

    public IAsyncOnParticleTriggerHandler GetOnParticleTriggerAsyncHandler()

##### Returns

IAsyncOnParticleTriggerHandler

#### GetOnParticleTriggerAsyncHandler(CancellationToken)

    public IAsyncOnParticleTriggerHandler GetOnParticleTriggerAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnParticleTriggerHandler

#### OnParticleTriggerAsync()

    public UniTask OnParticleTriggerAsync()

##### Returns

UniTask

#### OnParticleTriggerAsync(CancellationToken)

    public UniTask OnParticleTriggerAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>